complexType "AdjustableDate2"

Namespace: | http://www.fpml.org/FpML-5/reporting
Content: | complex, 1 attribute, 4 elements
Defined: | globally in fpml-shared-5-3.xsd; see XML source
Includes: | definitions of 1 attribute, 4 elements
Used: | at 7 locations

Content Model Diagram

XML Representation Summary
<...
id | = | xsd:ID
| >
Content: | unadjustedDate?, (dateAdjustments? | dateAdjustmentsReference?)?, adjustedDate?
</...>

Content Model Elements (4):

  adjustedDate (defined in AdjustableDate2 complexType), dateAdjustments (defined in AdjustableDate2 complexType), | dateAdjustmentsReference, unadjustedDate (defined in AdjustableDate2 complexType)

All Direct / Indirect Based Elements (7):

  effectiveDate (defined in GeneralTerms complexType), effectiveDate (defined in GenericProduct complexType), effectiveDate (in tradeDetails), expirationDate (defined in GenericProduct complexType), | scheduledTerminationDate, terminationDate (defined in GenericProduct complexType), terminationDate (in tradeDetails)

Known Usage Locations

- As direct type of elements (7):

  effectiveDate (defined in GeneralTerms complexType), effectiveDate (defined in GenericProduct complexType), effectiveDate (in tradeDetails), expirationDate (defined in GenericProduct complexType), | scheduledTerminationDate, terminationDate (defined in GenericProduct complexType), terminationDate (in tradeDetails)

Annotation
A type that is different from AdjustableDate in two regards. First, date adjustments can be specified with either a dateAdjustments element or a reference to an existing dateAdjustments element. Second, it does not require the specification of date adjustments.
XML Source (w/o annotations (5); see within schema source)

<xsd:complexType name="AdjustableDate2"> <xsd:sequence> <xsd:element minOccurs="0" name="unadjustedDate" type="IdentifiedDate"/> <xsd:choice minOccurs="0"> <xsd:element minOccurs="0" name="dateAdjustments" type="BusinessDayAdjustments"/> <xsd:element minOccurs="0" name="dateAdjustmentsReference" type="BusinessDayAdjustmentsReference"/> </xsd:choice> <xsd:element minOccurs="0" name="adjustedDate" type="IdentifiedDate"/> </xsd:sequence> <xsd:attribute name="id" type="xsd:ID"/> </xsd:complexType>

Attribute Detail (all declarations; defined within this component only; 1/1)
id

  Type: | xsd:ID, predefined
  Use: | optional

  XML Source (see within schema source)

  <xsd:attribute name="id" type="xsd:ID"/>

Content Element Detail (all declarations; defined within this component only; 4/4)
adjustedDate

  Type: | IdentifiedDate, simple content

  The date once the adjustment has been performed. (Note that this date may change if the business center holidays change).
  Simple Content

  xsd:date

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="adjustedDate" type="IdentifiedDate"/>

dateAdjustments

  Type: | BusinessDayAdjustments, complex content

  The business day convention and financial business centers used for adjusting the date if it would otherwise fall on a day that is not a business dat in the specified business centers.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="dateAdjustments" type="BusinessDayAdjustments"/>

dateAdjustmentsReference

  Type: | BusinessDayAdjustmentsReference, empty content

  A pointer style reference to date adjustments defined elsewhere in the document.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="dateAdjustmentsReference" type="BusinessDayAdjustmentsReference"/>

unadjustedDate

  Type: | IdentifiedDate, simple content

  A date subject to adjustment.
  Simple Content

  xsd:date

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="unadjustedDate" type="IdentifiedDate"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.